FindException (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.lang.module, class: FindException
Keywords: java.lang.module.FindException class

# Class FindException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.module.FindException

All Implemented Interfaces:
  `Serializable`

public class FindException extends RuntimeException
Thrown by a `ModuleFinder` when an error occurs finding a module. Also thrown by `Configuration.resolve` when resolution fails for observability-related reasons.

Since:
  9
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindException()`
  Constructs a `FindException` with no detail message.
  `FindException(String msg)`
  Constructs a `FindException` with the given detail message.
  `FindException(String msg, Throwable cause)`
  Constructs a `FindException` with the given detail message and cause.
  `FindException(Throwable cause)`
  Constructs a `FindException` with the given cause.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindException

    public FindException()
    Constructs a `FindException` with no detail message.

  - ### FindException

    public FindException(String msg)
    Constructs a `FindException` with the given detail message.
    Parameters:
      `msg` - The detail message; can be `null`

  - ### FindException

    public FindException(Throwable cause)
    Constructs a `FindException` with the given cause.
    Parameters:
      `cause` - The cause; can be `null`

  - ### FindException

    public FindException(String msg, Throwable cause)
    Constructs a `FindException` with the given detail message and cause.
    Parameters:
      `msg` - The detail message; can be `null`
      `cause` - The cause; can be `null`